Subject: bug#16581: suggested code simplification in dfa.c

From: Paul Eggert <[email-masked]>
Date: Thu, 30 Jan 2014 13:56:10 -0800

On 01/30/2014 07:51 AM, [email-masked] wrote:
> I suggest starting with the XOR changes for unibyte locales - they seem
> (to me) to be good no matter what. And then separately try to deal with
> the multibyte case.

Unfortunately the changes don't work even for unibyte locales, since 
unibyte locales can have the same problem, i.e., c != tolower (c) && c 
!= toupper (c).  Admittedly this is rare, but it's possible (users can 
define their own locales, after all), and fixing the code for the 
multibyte case will induce similar changes for unibyte, I hope.

>
> And just to increase the need for Aspirin, any idea how regex handles
> this case?

No idea, sorry.  Rounds of aspirin for everybody!